org.keycloak.hash

## Class PasswordHashManager

- java.lang.Object
- - org.keycloak.hash.PasswordHashManager

-     public class PasswordHashManager
      extends Object

  Author:
    Stian Thorgersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PasswordHashManager()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UserCredentialValueModel` | `encode(KeycloakSession session, PasswordPolicy passwordPolicy, String rawPassword)`
    `static UserCredentialValueModel` | `encode(KeycloakSession session, RealmModel realm, String rawPassword)`
    `static boolean` | `verify(KeycloakSession session, PasswordPolicy passwordPolicy, String password, UserCredentialValueModel credential)`
    `static boolean` | `verify(KeycloakSession session, RealmModel realm, String password, UserCredentialValueModel credential)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PasswordHashManager

          public PasswordHashManager()

  - ### Method Detail

    - #### encode

          public static UserCredentialValueModel encode(KeycloakSession session,
                                                        RealmModel realm,
                                                        String rawPassword)

    - #### encode

          public static UserCredentialValueModel encode(KeycloakSession session,
                                                        PasswordPolicy passwordPolicy,
                                                        String rawPassword)

    - #### verify

          public static boolean verify(KeycloakSession session,
                                       RealmModel realm,
                                       String password,
                                       UserCredentialValueModel credential)

    - #### verify

          public static boolean verify(KeycloakSession session,
                                       PasswordPolicy passwordPolicy,
                                       String password,
                                       UserCredentialValueModel credential)

Copyright © 2016 JBoss by Red Hat. All rights reserved.